> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List allocations

> List all allocations



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /revenueOrganization/allocations/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /revenueOrganization/allocations/list:
    get:
      tags:
        - Revenue Organization - Allocations
      summary: List allocations
      description: List all allocations
      parameters:
        - in: query
          name: membersUuids
          schema:
            title: Member UUIDs
            description: Filter allocations by member identifiers.
            type: array
            items:
              type: string
          description: Filter allocations by member identifiers.
        - in: query
          name: capacityUuid
          schema:
            title: Capacity UUID
            description: Filter allocations by capacity identifier.
            anyOf:
              - type: string
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
              - type: 'null'
          description: Filter allocations by capacity identifier.
        - in: query
          name: territoryUuid
          schema:
            title: Territory UUID
            description: Filter allocations by territory identifier.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          description: Filter allocations by territory identifier.
        - in: query
          name: limit
          schema:
            title: Limit
            description: Maximum number of allocations to return.
            type: string
          description: Maximum number of allocations to return.
        - in: query
          name: offset
          schema:
            title: Offset
            description: Number of allocations to skip.
            type: string
          description: Number of allocations to skip.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  allocations:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                        memberUuid:
                          type: string
                        isFallbackMember:
                          type: boolean
                        workspaceUuid:
                          type: string
                        allocatedBy:
                          anyOf:
                            - type: object
                              properties:
                                allocator:
                                  type: string
                                  const: workflow
                                workflowUuid:
                                  type: string
                                workflowNodeUuid:
                                  type: string
                                workflowRunUuid:
                                  type: string
                                membersUuids:
                                  type: array
                                  items:
                                    type: string
                                fallbackMemberUuid:
                                  type: string
                                modelUuid:
                                  type: string
                                recordId:
                                  type: string
                              required:
                                - allocator
                                - workflowUuid
                                - workflowNodeUuid
                                - membersUuids
                              additionalProperties: false
                            - type: object
                              properties:
                                allocator:
                                  type: string
                                  const: territory
                                workflowUuid:
                                  type: string
                                workflowNodeUuid:
                                  type: string
                                workflowRunUuid:
                                  type: string
                                territoryUuid:
                                  type: string
                                modelUuid:
                                  type: string
                                recordId:
                                  type: string
                              required:
                                - allocator
                                - workflowUuid
                                - workflowNodeUuid
                                - territoryUuid
                              additionalProperties: false
                            - type: object
                              properties:
                                allocator:
                                  type: string
                                  const: capacity
                              required:
                                - allocator
                              additionalProperties: false
                        capacityUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        recordIds:
                          type: array
                          items:
                            type: string
                        allocatedAt:
                          type: string
                        syncedAt:
                          type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        deletedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - uuid
                        - memberUuid
                        - isFallbackMember
                        - workspaceUuid
                        - allocatedBy
                        - capacityUuid
                        - recordIds
                        - allocatedAt
                        - syncedAt
                        - createdAt
                        - updatedAt
                        - deletedAt
                      additionalProperties: false
                    title: Allocations
                    description: List of allocations.
                required:
                  - allocations
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````